@echo off
echo                       *************************************
echo                       *** Installation help file        ***
echo                       *** for the Airbus A320 IAE-V2500 ***
echo                       *** in Flight Simulator 98        ***
echo                       *************************************
echo.

if not exist ..\..\aircraft\nul goto error0
if not exist ..\a320mdl\nul goto error1
if not exist ..\a320mdl\FS98\model.iae\a320iae.mdl goto error2
if not exist ..\FSFSConv\panel.Jet.Heavy.2\panel.cfg goto error3
if not exist ..\B737_400\sound\sound.cfg goto error4

md model.iae 
copy ..\a320mdl\FS98\model.iae\*.* model.iae>nul

if not exist FS98Textures\nul goto end
copy FS98Textures\*.* texture >nul
deltree/y FS98Textures >nul

goto end


:ERROR0
echo.
echo ERROR: You launch the INSTALL file not from the Airbus folder in your
echo        FS AIRCRAFT folder.
echo        Please move first the included Airbus folder to your FS AIRCRAFT folder.
goto end2

:ERROR1
echo.
echo ERROR: Folder A320MDL not found in your FS AIRCRAFT folder.
goto end2

:ERROR2
echo.
echo ERROR: Model file A320IAE.MDL not found in the folder A320MDL\FS98\MODEL.IAE\
goto end2

:ERROR3
echo.
echo ERROR: The file FSFSConv\panel.Jet.Heavy.2\panel.cfg is missing.
echo possibly reason: The Flight Simulator Converter is not installed.
goto end2

:ERROR4
echo.
echo ERROR: The file B737_400\sound\sound.cfg is missing.
echo possibly reason: The default Boeing 737-400 folder was removed or renamed.
goto end2

:END2
echo.
echo The aircraft is not installed correctly !
echo.
pause
goto exit

:END
echo.
echo The aircraft is successful installed for Flight Simulator 98.
echo Happy landings !
echo.
echo If you don't install any more Airbuses A320 currently, you can remove
echo the folder named A320MDL from your FS Aircraft folder. 
echo.
pause
echo Ignore the next messages and close the DOS window.
del install2k.bat>nul
del install98.bat>nul

:EXIT
